Subject: bug#42006: closed (Close)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 02 Apr 2025 10:14:02 +0000

Your bug report

#42006: Installing font-dejavu breaks other fonts

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42006: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=42006
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Close
From: Andreas Enge <[email-masked]>
To: [email-masked]
Date: Wed, 2 Apr 2025 12:13:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Leo,

closing this as probably too old to be still relevant; please feel free
to reopen it if you still experience the problem.

Andreas

Subject: Installing font-dejavu breaks other fonts
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Mon, 22 Jun 2020 10:44:14 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Since my last full upgrade on June 9 2020, I found that if I have
font-dejavu installed in my profile, my terminal (rxvt-unicode) no
longer finds the font selected in my ~/.Xresources file.

I'm using Guix on Debian, and all the packages involved are installed by
Guix. They are rxvt-unicode, font-anonymous-pro, and font-dejavu.

I strace-d the terminal startup.

In the good case, it reads and loads a bunch font-related things before
it finally loads my specified font from its symlink in
'~/.guix-profile/share/fonts'.

In the bad case, this work is cut short before it loads the DejaVu font
directly from the store.

I've attached excerpts of these traces as 'good.log' and 'bad.log'.

Here is a manifest to test the effect:

------
(specifications->manifest
 '(glibc-utf8-locales"
   "rxvt-unicode"
   "font-anonymous-pro"
   "font-gnu-unifont:pcf"
   "font-gnu-unifont:psf"
   "font-gnu-unifont:bin"
   "font-gnu-unifont"
   "font-dejavu" ; comment this package to toggle the bug on and off
))
------

And the ~/.Xresources file:

------
Urxvt*scrollBar: false
URxvt*font:	xft:Anonymous Pro:pixelsize=13:antialiasing=true \
		xft:unifont:style=Medium:antialias=false:size=16
Xft.hinting:	1
Xft.hintstyle:	hintfull
!
! this is a comment
!urxvt*foreground:White
!urxvt*background:Black

urxvt*foreground:Black
urxvt*background:White
------